POST api/pcconfigapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"id": "517fd618-87a7-4287-9ecf-a514c16392f1",
"key": "eef7e559-90e7-41e6-b742-5a02e5540df7",
"pc_id": "736dfd6f-52cf-4421-88f5-774c7f207724",
"value": "sample string 3"
}
application/xml, text/xml
Sample:
<pc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <id>517fd618-87a7-4287-9ecf-a514c16392f1</id> <key>eef7e559-90e7-41e6-b742-5a02e5540df7</key> <pc_id>736dfd6f-52cf-4421-88f5-774c7f207724</pc_id> <value>sample string 3</value> </pc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"42666f8e-1d7c-4fb7-8b50-d225a79dd817"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">42666f8e-1d7c-4fb7-8b50-d225a79dd817</guid>